package com.bocloud.cmp.model.hmc;

/**
 * HMC概要文件ioslot设置
 *
 * @author ShaolongTan
 */
@Deprecated
public class HmcProfileIoslotModel {
    private Long id; // ID
    private Long profileId;
    private Long AdapterId;
    private Boolean isRequired;
    private HmcIoAdapterModel hmcIoAdapter;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getProfileId() {
        return profileId;
    }

    public void setProfileId(Long profileId) {
        this.profileId = profileId;
    }

    public Long getAdapterId() {
        return AdapterId;
    }

    public void setAdapterId(Long adapterId) {
        AdapterId = adapterId;
    }

    public Boolean getIsRequired() {
        return isRequired;
    }

    public void setIsRequired(Boolean isRequired) {
        this.isRequired = isRequired;
    }

    public HmcIoAdapterModel getHmcIoAdapter() {
        return hmcIoAdapter;
    }

    public void setHmcIoAdapter(HmcIoAdapterModel hmcIoAdapter) {
        this.hmcIoAdapter = hmcIoAdapter;
    }
}
